Bug 19335 - 00-merge-markers.t fails
Summary: 00-merge-markers.t fails
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Tomás Cohen Arazi
URL:
Whiteboard:
Keywords:
Depends on: 19227
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-18 17:21 UTC by Tomás Cohen Arazi
Modified: 2017-10-23 14:41 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19335: Fix 00-merge-conflict-markers.t when dockerised (1.87 KB, patch)
2017-09-18 17:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19335: Fix 00-merge-conflict-markers.t when dockerised (1.92 KB, patch)
2017-09-18 17:31 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2017-09-18 17:21:22 UTC
When running 00-merge-markers.t inside the koha-testing Docker image, it fails.
Comment 1 Jonathan Druart 2017-09-18 17:29:40 UTC
Created attachment 67189 [details] [review]
Bug 19335: Fix 00-merge-conflict-markers.t when dockerised

This does not make sense, but fix a bug (why?)
Without this patch, the tests failed on po files:

[17:14:26] t/00-merge-conflict-markers.t .. Failed 1/1 subtests
Test Summary Report
-------------------
t/00-merge-conflict-markers.t (Wstat: 9 Tests: 0 Failed: 0)
  Non-zero wait status: 9
  Parse errors: Bad plan.  You planned 1 tests but ran 0.
Result: FAIL

Note that this is not related to bug 19227.

if the ^>>>>>> and ^<<<<<< matches are done on the same line, the test fail
As saw it failed on *-pref.po files
  misc/translator/po/kn-Knda-pref.po
  misc/translator/po/ja-Jpan-JP-pref.po
  misc/translator/po/nl-BE-pref.po
  misc/translator/po/sr-Cyrl-pref.po
Comment 2 Tomás Cohen Arazi 2017-09-18 17:31:25 UTC
Created attachment 67190 [details] [review]
Bug 19335: Fix 00-merge-conflict-markers.t when dockerised

This does not make sense, but fix a bug (why?)
Without this patch, the tests failed on po files:

[17:14:26] t/00-merge-conflict-markers.t .. Failed 1/1 subtests
Test Summary Report
-------------------
t/00-merge-conflict-markers.t (Wstat: 9 Tests: 0 Failed: 0)
  Non-zero wait status: 9
  Parse errors: Bad plan.  You planned 1 tests but ran 0.
Result: FAIL

Note that this is not related to bug 19227.

if the ^>>>>>> and ^<<<<<< matches are done on the same line, the test fail
As saw it failed on *-pref.po files
  misc/translator/po/kn-Knda-pref.po
  misc/translator/po/ja-Jpan-JP-pref.po
  misc/translator/po/nl-BE-pref.po
  misc/translator/po/sr-Cyrl-pref.po

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Jonathan Druart 2017-09-18 17:32:30 UTC
Skipping QA, we want Jenkins green.
Comment 4 Jonathan Druart 2017-09-19 14:52:22 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 5 Fridolin SOMERS 2017-10-03 06:59:56 UTC
Depends on Bug 19227 that changes the use of $line
Comment 6 Fridolin SOMERS 2017-10-03 07:01:38 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 7 Katrin Fischer 2017-10-05 21:24:45 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.